---
type: api
title: Cancel reindexing
description: Cancel reindexes that are waiting for the Elasticsearch reindex task to complete. For example, cancel reindexing if the `lastCompletedStep` has the value `40`.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-cancel-upgrade-reindex
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-cancel-upgrade-reindex
products:
  - Kibana
---

# Cancel reindexing

Availability:

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/upgrade_assistant/reindex/{index}/cancel`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `index` (string)
  The name of the index that was reindexing.

## Description

Cancel reindexes that are waiting for the Elasticsearch reindex task to complete. For example, cancel reindexing if the `lastCompletedStep` has the value `40`.

## Response

Indicates a successful call.

`application/json`

- `acknowledged` (boolean)
## Code Examples

#### Console

```console
POST /api/upgrade_assistant/reindex/{index}/cancel
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/upgrade_assistant/reindex/{index}/cancel"
```

## Response Examples

#### Cancel upgrade reindex response example1

```json
{
  "acknowledged": true
}
```

